commit:     b1347a65edfb1d7da023e75827b16b670eff71a7
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 26 23:23:49 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Feb 27 01:00:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1347a65

dev-libs/gtx: port to EAPI 7

Package-Manager: Portage-3.0.15, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/gtx/gtx-0.2.2-r1.ebuild | 43 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/dev-libs/gtx/gtx-0.2.2-r1.ebuild b/dev-libs/gtx/gtx-0.2.2-r1.ebuild
new file mode 100644
index 00000000000..7354843939d
--- /dev/null
+++ b/dev-libs/gtx/gtx-0.2.2-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Small collection of functions intended to enhance the GLib 
testing framework"
+HOMEPAGE="https://launchpad.net/gtx";
+SRC_URI="https://launchpad.net/gtx/trunk/${PV}/+download/${P}.tar.gz";
+
+SLOT="0"
+LICENSE="LGPL-2.1"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux"
+IUSE="debug"
+
+RDEPEND="dev-libs/glib:2"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-docdir.patch
+       "${FILESDIR}"/${P}-debug.patch
+       "${FILESDIR}"/${P}-glib.h.patch )
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable debug)
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       find "${ED}" -name '*.a' -delete || die
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to